jQuery( document ).ready( function($) {
    (function( $ ){

        $.fn.superButton = function( method ) {
            var methods = $.superButton.methods;

            // Method calling logic
            if ( methods[ method ] ) {
                return methods[ method ].apply( this, Array.prototype.slice.call( arguments, 1 ));
            } else if ( typeof method === 'object' || ! method ) {
                return methods.init.apply( this, arguments );
            } else {
                $.error( 'Method ' +  method + ' does not exist on jQuery.superButton' );
            }

        };

        $.superButton = {
            methods : {
                init : function(options) {
                    var data = {
                        'action': 'super_buttons_analytics',
                        'security': sba.nonce,
                        'id': $(this).attr('id').replace('super-button-',''),
                        'url': $(this).attr('href')
                    };
                    jQuery.post( sba.url, data, function(response) {
                        // console.log(sba.url);
                        console.log(response);
                        // console.log('clicked');
                    });
                },

                show : function() {
                    console.log('show');
                },

                hide : function() {
                    console.log('hide');
                },

                update : function() {
                    console.log('update');
                }
            },
            addMethods : function(newMethods) {
                $.superButton.methods = $.extend($.superButton.methods, newMethods);
            }
        };

        // Example on how to add additional methods
        // $.superButtonAnalytics.addMethods({
        // 	spin : function() {
        // 		console.log('spin');
        // 	}
        // });

        // run analytics script
        $('.super-button').on('click',function(){
            $(this).superButton();
        });

    })( jQuery );
});